/* Demonstration that C is, by default, "pass by value".  If we include
 * a variable as an argument to function, that function can only
 * change its own copy of the variable.  it cannot change the value of
 * the variable back in the calling function.
 */

#include <stdio.h>

void change_ij(int, int);  // function prototype

int main() {
  int i=10, j=42;

  printf("in main. i = %d, j = %d\n", i, j);

  change_ij(i, j);

  printf("in main. i = %d, j = %d\n", i, j);

  return 0;
}

void change_ij(int i, int k) {

  i = i + 2;
  k += 10;
  printf("change_i: %d %d\n", i, k);

}
